politas

CKAN (The Comprehensive Kerbal Archive Network); v1.22.3 - Mahia

397 posts in this topic

Will whoever put Aviation Lights on CKAN please fix the metadata.  There are several people in the Aviation Lights thread who have installed the wrong version of AL for KSP 1.2.2 because the metadata claims that v3.13 of Aviation Lights is compatible with 1.2.2.  It isn't, and it's marked on GitHub as compatible with 1.3.0, not 1.2.2.

 

Share this post


Link to post
Share on other sites
57 minutes ago, MOARdV said:

Will whoever put Aviation Lights on CKAN please fix the metadata.  There are several people in the Aviation Lights thread who have installed the wrong version of AL for KSP 1.2.2 because the metadata claims that v3.13 of Aviation Lights is compatible with 1.2.2.  It isn't, and it's marked on GitHub as compatible with 1.3.0, not 1.2.2.

I don't know who's responsible for that, but one suggestion: If you ship an AVC .version file with the mod, then CKAN can be told to get the metadata directly from there instead of maintaining it separately and with guesswork and errors. It's not always easy to tell when "1.3.0" also means "and not 1.2.2."

Share this post


Link to post
Share on other sites
1 hour ago, Wuwuk said:

RasterPropMonitor v0.29.0 beta 2

compatible with KSP 1.3

update pls.

RPM v0.29.0 beta 2 is marked as a pre-release on github, so the CKAN indexer won't include it. Once a full release is out, the CKAN listing will automatically update.

Share this post


Link to post
Share on other sites

Posted (edited)

looks like I got it. ignore me

Edited by aaronburro

Share this post


Link to post
Share on other sites
On 2017-6-1 at 7:14 PM, politas said:

 

On 2017-6-1 at 7:14 PM, politas said:

Have you got the latest CKAN 1.22.3?

Yep, it would be useful, but given the way that our automatic indexing of new updates works, that information is just not available for the client. We'd need to maintain a whole separate data structure in order to compare the new repo data with past repo data, and then the client would need to spend time comparing every mod's current release with what it last knew as the current release, working out what to do with that information,... We'd basically need to program an AI to do what we do keeping the repo up to date so that it can understand some changes. I know that it seems like an easy thing to do, but trust me, it really isn't. If it was easy, we'd have done it by now.

 

 

Hy Politas,

Again on the problem of distinguish new mods from old ones.

What if devs just add a tick colum entitle VIEWED and this information writen to a local file (on users computer)? Is it too difficult? Nothing on server side. 

For example: lets say I just upgraded from KSP 1.2 to 1.3 and I see there is 487 mods for it today. I go thru all of them, one by one and ticked everything I checked, independently if I liked it or not. As soon as I tick a file is writen with the title of the mod or a reference number. Next time I open Ckan, it reads this file and tick every mod present in the file. Next day there is 502 mods available, I just need to order by checked and I can see those that are not, I go thru them and tick those that I verify if it is of my interest or not.

I would love to contribute, if I knew anything about programing, but I don't, not my speciallity.

Thanks!

Share this post


Link to post
Share on other sites

Posted (edited)

@LemonSkin is now taking over the administration of ContractConfigurator-KerbinSpaceStation here - would it be easier for you guys for me to just update the existing netkan to point to his repo, or would you prefer a separate netkan to be created?

Edited by severedsolo

Share this post


Link to post
Share on other sites
51 minutes ago, severedsolo said:

@LemonSkin is now taking over the administration of ContractConfigurator-KerbinSpaceStation here - would it be easier for you guys for me to just update the existing netkan to point to his repo, or would you prefer a separate netkan to be created?

Hey, I created a new .netkan and submitted an issue to the repo telling them that I'm taking over. :)

1 person likes this

Share this post


Link to post
Share on other sites

Nertea just updated his mods for KSP 1.3.0 but Cryo Tanks does not show up in CKAN.

The CryoTanks Netkan has a hardcoded version reference to KerbalAtomics. CryoTanks now has it's own version file in the CryoTanks Folder in the release zip file.

So I think the netkan needs an update now.

Share this post


Link to post
Share on other sites
20 hours ago, Jebs_SY said:

Nertea just updated his mods for KSP 1.3.0 but Cryo Tanks does not show up in CKAN.

The CryoTanks Netkan has a hardcoded version reference to KerbalAtomics. CryoTanks now has it's own version file in the CryoTanks Folder in the release zip file.

So I think the netkan needs an update now.

This may also be the reason why Nertea's Cryogenic Engines and Kerbal Atomics don't show up in CKAN at all.

Share this post


Link to post
Share on other sites

I'm getting an exception that CKAN can't find KSP version in readme.txt; I've checked and the version number is definitely in there; I've tried validating all files through Steam but I still the error.

Share this post


Link to post
Share on other sites

Posted (edited)

stockalike station parts expansion updated for ksp 1.3.0 =)

kerbal atomics updated for ksp 1.3.0 too.

Edited by chateaudav
1 person likes this

Share this post


Link to post
Share on other sites

Hi, What could be this problem? The guys from USI said me that is not their fault

d5ZJnqJ.jpg

Share this post


Link to post
Share on other sites

Posted (edited)

Hello. I am having a recurring problem that I do not think has been answered in this thread. I have been trying to install RO and all of it's recommended mods however I keep getting 'Error 403' for at least 2 of the mods I am trying to install. Any ideas why? Or what this means? And do my other mods still install or do they all fail? Also, there is nothing in the Plugins folder in the CKAN folder. Is this normal? I am using KSP 1.2.2 with the latest version of CKAN. Thanks.

Edited by Benji13

Share this post


Link to post
Share on other sites

I'm Having a problem with ckan. when I use it it fails to recognize ksp. However when I click add new and navigate to the place ksp is in the files I cant add it to the list? I might be missing a button.

Share this post


Link to post
Share on other sites

Posted (edited)

CKAN suddenly won't download faster than 100 kbps, very odd. Trying to yank a few megs of data is taking forever.

Just got this error:

See the end of this message for details on invoking 
just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************
System.TimeoutException: Transaction Timeout


************** Loaded Assemblies **************
mscorlib
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2098.0 built by: NET47REL1LAST
    CodeBase: file:///C:/Windows/Microsoft.NET/Framework64/v4.0.30319/mscorlib.dll
----------------------------------------
ckan
    Assembly Version: 1.22.0.0
    Win32 Version: 1.22.3
    CodeBase: file:///D:/SteamLibrary/steamapps/common/Kerbal%20Space%20Program/ckan.exe
----------------------------------------
System.Core
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2098.0 built by: NET47REL1LAST
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Core/v4.0_4.0.0.0__b77a5c561934e089/System.Core.dll
----------------------------------------
System
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2093.0 built by: NET47REL1LAST
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System/v4.0_4.0.0.0__b77a5c561934e089/System.dll
----------------------------------------
System.Configuration
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Configuration/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll
----------------------------------------
System.Xml
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
System.Windows.Forms
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2094.0 built by: NET47REL1LAST
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Windows.Forms/v4.0_4.0.0.0__b77a5c561934e089/System.Windows.Forms.dll
----------------------------------------
System.Drawing
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Drawing/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Drawing.dll
----------------------------------------
System.Transactions
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Transactions/v4.0_4.0.0.0__b77a5c561934e089/System.Transactions.dll
----------------------------------------
System.Numerics
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Numerics/v4.0_4.0.0.0__b77a5c561934e089/System.Numerics.dll
----------------------------------------
System.Runtime.Serialization
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Serialization/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll
----------------------------------------
System.Data
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Data/v4.0_4.0.0.0__b77a5c561934e089/System.Data.dll
----------------------------------------
Microsoft.GeneratedCode
    Assembly Version: 1.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
Anonymously Hosted DynamicMethods Assembly
    Assembly Version: 0.0.0.0
    Win32 Version: 4.7.2098.0 built by: NET47REL1LAST
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/mscorlib/v4.0_4.0.0.0__b77a5c561934e089/mscorlib.dll
----------------------------------------
Microsoft.CSharp
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.CSharp/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.CSharp.dll
----------------------------------------
System.Dynamic
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Dynamic/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Dynamic.dll
----------------------------------------
System.EnterpriseServices
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.EnterpriseServices/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll
----------------------------------------
Accessibility
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.2046.0 built by: NET47REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Accessibility/v4.0_4.0.0.0__b03f5f7f11d50a3a/Accessibility.dll
----------------------------------------

************** JIT Debugging **************
To enable just-in-time (JIT) debugging, the .config file for this
application or computer (machine.config) must have the
jitDebugging value set in the system.windows.forms section.
The application must also be compiled with debugging
enabled.

For example:

<configuration>
    <system.windows.forms jitDebugging="true" />
</configuration>

When JIT debugging is enabled, any unhandled exception
will be sent to the JIT debugger registered on the computer
rather than be handled by this dialog box.


 

Edited by Maelstrom Vortex

Share this post


Link to post
Share on other sites
On 6/18/2017 at 10:55 AM, chateaudav said:

stockalike station parts expansion updated for ksp 1.3.0 =)

kerbal atomics updated for ksp 1.3.0 too.

There were issues with the metadata for NearFutureProps and CryoTanks upon which those mods (respectively) depend.  I have submitted fixes for both, but they may take some time to make it into CKAN.

1 person likes this

Share this post


Link to post
Share on other sites

Is it possible to get information when you load from .ckan what mods *aren't* going to be DLed because they're not for the current version?

Share this post


Link to post
Share on other sites

Hey there,

Just wondering what the method of applying updates to mod is for a CKAN mod update. Does it delete the mod folder and extract the new contents to the folder, or does it just overwrite the files the already exist? Just asking as several mod authors I've seen have recommended to always delete the folder and install the new files rather than overwrite the existing folder, as some things might be left behind from a previous version that are no longer required and might cause problems.

Thanks

Share this post


Link to post
Share on other sites

SVE is broken in CKAN: it appears in the list but when you try to install it, it says "Module StockVisualEnhancements has not been found. This may be because it is not compatible with the currently installed version of KSP". The current version is in fact compatible with 1.3.0.

Edited by garwel

Share this post


Link to post
Share on other sites
15 hours ago, garwel said:

SVE is broken in CKAN: it appears in the list but when you try to install it, it says "Module StockVisualEnhancements has not been found. This may be because it is not compatible with the currently installed version of KSP". The current version is in fact compatible with 1.3.0.

I can confirm that. SVE has disapeared from CKAN.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now